package storage

import (
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
	"net/http"

	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/logic/storage"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
)

func DailyPowerScreenHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := storage.NewDailyPowerScreenLogic(r.Context(), svcCtx)
		resp, err := l.DailyPowerScreen()
		result.HttpResult(r, w, resp, err)
	}
}
